Bug 114499 - mct_u232: sending break doesn't have any effect
Summary: mct_u232: sending break doesn't have any effect
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-28 19:48 UTC by Kaj J. Niemi
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 23:41:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kaj J. Niemi 2004-01-28 19:48:08 UTC
Description of problem:
Sending a break from minicom (or kermit) with kernel 2.6.0-1.61 fails
using the mct_u232 driver on /dev/ttyUSB0.

Version-Release number of selected component (if applicable):
2.6.0-1.61

How reproducible:
Always

Steps to Reproduce:
1. connect your usb<->rs232 converter to equipment expecting a break
(Sun server, cisco router/switch, etc.)
2. start minicom
3. hit break (in minicom ctrl-a f) when the connected equipment is
expecting it (eg. for a cisco when you want to drop to rommon for
password recovery or similar activity)
  
Actual results:
Doesn't seem to do anything but _something_ is sent over the wire as
the lights do blink

Expected results:
Cisco should drop to rommon, sun to openboot :)

Additional info:
See bug #112889 and bug #113700 for more information regarding mct_u232.

Comment 1 Pete Zaitcev 2004-08-19 23:41:09 UTC
Unfortunately, there's no easy way to add break to mct_u232.
It's a driver based on reverse-engineered code.
I suggest turning to Keyspan (or Edgeport).

Closing with WONTFIX (should be CANTFIX)


Note You need to log in before you can comment on or make changes to this bug.